<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="16097" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="16087"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <scenes>
        <!--Navigation Controller-->
        <scene sceneID="T0g-ie-YbI">
            <objects>
                <navigationController id="32D-rQ-Twm" customClass="NavigationController" customModule="ItunesMovie" customModuleProvider="target" sceneMemberID="viewController">
                    <navigationBar key="navigationBar" contentMode="scaleToFill" insetsLayoutMarginsFromSafeArea="NO" id="qhd-BS-Igo">
                        <rect key="frame" x="0.0" y="44" width="414" height="44"/>
                        <autoresizingMask key="autoresizingMask"/>
                    </navigationBar>
                    <connections>
                        <segue destination="GTu-SO-KcA" kind="relationship" relationship="rootViewController" id="P8G-r0-s9X"/>
                    </connections>
                </navigationController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="o6r-g4-3bv" userLabel="First Responder" customClass="UIResponder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="-1246" y="230"/>
        </scene>
        <!--Edit Profile-->
        <scene sceneID="E2D-d5-Psq">
            <objects>
                <viewController storyboardIdentifier="EditProfileController" useStoryboardIdentifierAsRestorationIdentifier="YES" id="GTu-SO-KcA" customClass="EditProfileController" customModule="ItunesMovie" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="Y8e-8j-kP2">
                        <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <scrollView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="IZB-qI-Dah">
                                <rect key="frame" x="0.0" y="88" width="414" height="774"/>
                                <subviews>
                                    <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" alignment="center" translatesAutoresizingMaskIntoConstraints="NO" id="UwO-51-NU2">
                                        <rect key="frame" x="0.0" y="0.0" width="414" height="594"/>
                                        <subviews>
                                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="DoT-H9-Ut3" userLabel="Space">
                                                <rect key="frame" x="87" y="0.0" width="240" height="58"/>
                                                <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                                <constraints>
                                                    <constraint firstAttribute="height" constant="58" id="W4a-Qo-CvD"/>
                                                </constraints>
                                            </view>
                                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="Q8V-Kc-dKj">
                                                <rect key="frame" x="147" y="58" width="120" height="120"/>
                                                <subviews>
                                                    <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="profilePicPlaceholder" translatesAutoresizingMaskIntoConstraints="NO" id="KMp-t8-oDs">
                                                        <rect key="frame" x="0.0" y="0.0" width="120" height="120"/>
                                                        <constraints>
                                                            <constraint firstAttribute="width" secondItem="KMp-t8-oDs" secondAttribute="height" multiplier="1:1" id="sq3-2O-qYq"/>
                                                        </constraints>
                                                        <userDefinedRuntimeAttributes>
                                                            <userDefinedRuntimeAttribute type="number" keyPath="layer.cornerRadius">
                                                                <integer key="value" value="60"/>
                                                            </userDefinedRuntimeAttribute>
                                                            <userDefinedRuntimeAttribute type="boolean" keyPath="layer.masksToBounds" value="YES"/>
                                                        </userDefinedRuntimeAttributes>
                                                    </imageView>
                                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="Odh-AK-x5n">
                                                        <rect key="frame" x="80" y="80" width="40" height="40"/>
                                                        <subviews>
                                                            <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="camera" translatesAutoresizingMaskIntoConstraints="NO" id="mDw-yq-vPt">
                                                                <rect key="frame" x="8" y="8" width="24" height="24"/>
                                                            </imageView>
                                                        </subviews>
                                                        <color key="backgroundColor" systemColor="systemGrayColor" red="0.5568627451" green="0.5568627451" blue="0.57647058819999997" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                                        <constraints>
                                                            <constraint firstAttribute="height" constant="40" id="Cqr-Eo-Mle"/>
                                                            <constraint firstItem="mDw-yq-vPt" firstAttribute="top" secondItem="Odh-AK-x5n" secondAttribute="top" constant="8" id="Ejd-Qm-TV5"/>
                                                            <constraint firstAttribute="width" constant="40" id="aZp-hY-C4T"/>
                                                            <constraint firstItem="mDw-yq-vPt" firstAttribute="leading" secondItem="Odh-AK-x5n" secondAttribute="leading" constant="8" id="cPh-RT-wl0"/>
                                                            <constraint firstAttribute="trailing" secondItem="mDw-yq-vPt" secondAttribute="trailing" constant="8" id="qEV-nq-sbu"/>
                                                            <constraint firstAttribute="bottom" secondItem="mDw-yq-vPt" secondAttribute="bottom" constant="8" id="s1D-If-VHZ"/>
                                                        </constraints>
                                                        <userDefinedRuntimeAttributes>
                                                            <userDefinedRuntimeAttribute type="number" keyPath="layer.cornerRadius">
                                                                <integer key="value" value="20"/>
                                                            </userDefinedRuntimeAttribute>
                                                            <userDefinedRuntimeAttribute type="boolean" keyPath="layer.masksToBounds" value="YES"/>
                                                        </userDefinedRuntimeAttributes>
                                                    </view>
                                                    <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="zLX-9Y-JdK">
                                                        <rect key="frame" x="0.0" y="0.0" width="120" height="120"/>
                                                        <connections>
                                                            <action selector="editPictureButtonTapped:" destination="GTu-SO-KcA" eventType="touchUpInside" id="pe2-Dp-cQN"/>
                                                        </connections>
                                                    </button>
                                                </subviews>
                                                <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                                <constraints>
                                                    <constraint firstItem="zLX-9Y-JdK" firstAttribute="top" secondItem="Q8V-Kc-dKj" secondAttribute="top" id="388-eU-k06"/>
                                                    <constraint firstAttribute="bottom" secondItem="Odh-AK-x5n" secondAttribute="bottom" id="6D7-58-Dfw"/>
                                                    <constraint firstAttribute="bottom" secondItem="KMp-t8-oDs" secondAttribute="bottom" id="76e-RA-09h"/>
                                                    <constraint firstAttribute="trailing" secondItem="KMp-t8-oDs" secondAttribute="trailing" id="7E9-Ea-y71"/>
                                                    <constraint firstAttribute="bottom" secondItem="zLX-9Y-JdK" secondAttribute="bottom" id="SGd-z6-aMW"/>
                                                    <constraint firstAttribute="trailing" secondItem="Odh-AK-x5n" secondAttribute="trailing" id="SYf-XY-W7S"/>
                                                    <constraint firstAttribute="trailing" secondItem="zLX-9Y-JdK" secondAttribute="trailing" id="TAl-39-PKh"/>
                                                    <constraint firstAttribute="height" constant="120" id="pmj-L3-396"/>
                                                    <constraint firstItem="zLX-9Y-JdK" firstAttribute="leading" secondItem="Q8V-Kc-dKj" secondAttribute="leading" id="rbP-Of-RPQ"/>
                                                    <constraint firstItem="KMp-t8-oDs" firstAttribute="leading" secondItem="Q8V-Kc-dKj" secondAttribute="leading" id="v5y-KU-ajo"/>
                                                    <constraint firstItem="KMp-t8-oDs" firstAttribute="top" secondItem="Q8V-Kc-dKj" secondAttribute="top" id="vNe-7m-DOP"/>
                                                </constraints>
                                            </view>
                                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="mPz-58-JSZ" userLabel="Space">
                                                <rect key="frame" x="87" y="178" width="240" height="56"/>
                                                <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                                <constraints>
                                                    <constraint firstAttribute="height" constant="56" id="mZ0-Vt-onG"/>
                                                </constraints>
                                            </view>
                                            <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" spacing="32" translatesAutoresizingMaskIntoConstraints="NO" id="KXM-px-czy">
                                                <rect key="frame" x="16" y="234" width="382" height="360"/>
                                                <subviews>
                                                    <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" placeholder="Full Name" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="RKj-Nu-Oc1" customClass="MDCTextField">
                                                        <rect key="frame" x="0.0" y="0.0" width="382" height="80"/>
                                                        <constraints>
                                                            <constraint firstAttribute="height" constant="80" id="OIU-NE-PAa"/>
                                                        </constraints>
                                                        <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                        <textInputTraits key="textInputTraits"/>
                                                    </textField>
                                                    <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" placeholder="Date of Birth" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="dns-dM-9PE" customClass="APDateField" customModule="ItunesMovie" customModuleProvider="target">
                                                        <rect key="frame" x="0.0" y="112" width="382" height="80"/>
                                                        <constraints>
                                                            <constraint firstAttribute="height" constant="80" id="8Nb-H2-aw8"/>
                                                        </constraints>
                                                        <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                        <textInputTraits key="textInputTraits"/>
                                                    </textField>
                                                    <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" translatesAutoresizingMaskIntoConstraints="NO" id="Oq0-vp-lKl">
                                                        <rect key="frame" x="0.0" y="224" width="382" height="136"/>
                                                        <subviews>
                                                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="7Ud-Ug-TbM" customClass="APMultilineTextField" customModule="ItunesMovie" customModuleProvider="target">
                                                                <rect key="frame" x="0.0" y="0.0" width="382" height="120"/>
                                                                <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                                                <constraints>
                                                                    <constraint firstAttribute="height" constant="120" placeholder="YES" id="o4W-G7-r8h"/>
                                                                </constraints>
                                                                <userDefinedRuntimeAttributes>
                                                                    <userDefinedRuntimeAttribute type="string" keyPath="placeholder" value="Add a description..."/>
                                                                    <userDefinedRuntimeAttribute type="boolean" keyPath="expandsOnOverflow" value="NO"/>
                                                                    <userDefinedRuntimeAttribute type="number" keyPath="charLimit">
                                                                        <integer key="value" value="250"/>
                                                                    </userDefinedRuntimeAttribute>
                                                                    <userDefinedRuntimeAttribute type="number" keyPath="minHeight">
                                                                        <real key="value" value="120"/>
                                                                    </userDefinedRuntimeAttribute>
                                                                </userDefinedRuntimeAttributes>
                                                            </view>
                                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="1000" verticalHuggingPriority="1000" text="0/250" textAlignment="right" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="qE3-ZX-QBU">
                                                                <rect key="frame" x="0.0" y="120" width="382" height="16"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="13"/>
                                                                <color key="textColor" red="0.0" green="0.0" blue="0.0" alpha="0.60000002379999995" colorSpace="custom" customColorSpace="sRGB"/>
                                                                <nil key="highlightedColor"/>
                                                            </label>
                                                        </subviews>
                                                    </stackView>
                                                </subviews>
                                            </stackView>
                                        </subviews>
                                        <constraints>
                                            <constraint firstAttribute="trailing" secondItem="KXM-px-czy" secondAttribute="trailing" constant="16" id="CTQ-5d-A48"/>
                                            <constraint firstItem="KXM-px-czy" firstAttribute="leading" secondItem="UwO-51-NU2" secondAttribute="leading" constant="16" id="hA2-hi-nzc"/>
                                        </constraints>
                                    </stackView>
                                </subviews>
                                <constraints>
                                    <constraint firstItem="UwO-51-NU2" firstAttribute="top" secondItem="IZB-qI-Dah" secondAttribute="top" id="WBf-62-wO0"/>
                                    <constraint firstItem="UwO-51-NU2" firstAttribute="bottom" secondItem="IZB-qI-Dah" secondAttribute="bottom" id="ibB-lf-B3b"/>
                                    <constraint firstItem="UwO-51-NU2" firstAttribute="trailing" secondItem="IZB-qI-Dah" secondAttribute="trailing" id="jMV-KY-lai"/>
                                    <constraint firstItem="UwO-51-NU2" firstAttribute="leading" secondItem="IZB-qI-Dah" secondAttribute="leading" id="tfa-ec-ApE"/>
                                </constraints>
                                <viewLayoutGuide key="contentLayoutGuide" id="J50-e0-cPY"/>
                                <viewLayoutGuide key="frameLayoutGuide" id="sfJ-qb-ukE"/>
                            </scrollView>
                        </subviews>
                        <color key="backgroundColor" systemColor="systemBackgroundColor" cocoaTouchSystemColor="whiteColor"/>
                        <constraints>
                            <constraint firstItem="IZB-qI-Dah" firstAttribute="leading" secondItem="hWv-BZ-ggf" secondAttribute="leading" id="61V-lb-U48"/>
                            <constraint firstItem="UwO-51-NU2" firstAttribute="width" secondItem="Y8e-8j-kP2" secondAttribute="width" id="EiR-dv-YMj"/>
                            <constraint firstItem="IZB-qI-Dah" firstAttribute="top" secondItem="hWv-BZ-ggf" secondAttribute="top" id="NgM-ii-MyX"/>
                            <constraint firstItem="IZB-qI-Dah" firstAttribute="bottom" secondItem="hWv-BZ-ggf" secondAttribute="bottom" id="rfH-hn-0pK"/>
                            <constraint firstItem="IZB-qI-Dah" firstAttribute="trailing" secondItem="hWv-BZ-ggf" secondAttribute="trailing" id="ryz-Yi-wKV"/>
                        </constraints>
                        <viewLayoutGuide key="safeArea" id="hWv-BZ-ggf"/>
                    </view>
                    <navigationItem key="navigationItem" title="Edit Profile" id="qTa-0G-hGc">
                        <barButtonItem key="backBarButtonItem" title=" " id="Dwy-gs-8D6"/>
                        <barButtonItem key="rightBarButtonItem" title="Save" id="BdD-my-a4A">
                            <connections>
                                <action selector="saveButtonTapped:" destination="GTu-SO-KcA" id="6Xj-ec-F8W"/>
                            </connections>
                        </barButtonItem>
                    </navigationItem>
                    <connections>
                        <outlet property="contentView" destination="UwO-51-NU2" id="wc4-gr-BlU"/>
                        <outlet property="dateOfBirthField" destination="dns-dM-9PE" id="pDB-4c-3gT"/>
                        <outlet property="descriptionCharLimitLabel" destination="qE3-ZX-QBU" id="KuO-ZU-Ddc"/>
                        <outlet property="descriptionField" destination="7Ud-Ug-TbM" id="BYc-EI-MfL"/>
                        <outlet property="fullnameField" destination="RKj-Nu-Oc1" id="Frb-GY-uMZ"/>
                        <outlet property="pictureImageView" destination="KMp-t8-oDs" id="cbr-cu-BZd"/>
                        <outlet property="scrollView" destination="IZB-qI-Dah" id="j74-za-ivb"/>
                        <outletCollection property="formViews" destination="KMp-t8-oDs" collectionClass="NSMutableArray" id="YVo-oP-5bV"/>
                        <outletCollection property="formViews" destination="RKj-Nu-Oc1" collectionClass="NSMutableArray" id="wZG-lI-CPv"/>
                        <outletCollection property="formViews" destination="dns-dM-9PE" collectionClass="NSMutableArray" id="dYf-iP-cM1"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="gfn-FY-fAE" userLabel="First Responder" customClass="UIResponder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="-288.40579710144931" y="229.6875"/>
        </scene>
    </scenes>
    <resources>
        <image name="camera" width="25" height="25"/>
        <image name="profilePicPlaceholder" width="136" height="136"/>
    </resources>
</document>
